CGI-Application-Plugin-RequireSSL

Metadata

Analyzed metadata and errors of CGI-Application-Plugin-RequireSSL.

{
   "abstracts_in_pod" : {
      "CGI::Application::Plugin::RequireSSL" : "Force SSL in specified pages or modules"
   },
   "author" : "DHORNE",
   "buildfile_executable" : 0,
   "dir_lib" : "lib",
   "dir_t" : "t",
   "dirs_array" : [
      "lib",
      "lib/CGI",
      "lib/CGI/Application",
      "lib/CGI/Application/Plugin",
      "t",
      "t/lib"
   ],
   "dist" : "CGI-Application-Plugin-RequireSSL",
   "dynamic_config" : 0,
   "easily_repackageable_by_fedora" : "fits_fedora_license",
   "error" : {},
   "extension" : "tar.gz",
   "extractable" : 1,
   "extracts_nicely" : 1,
   "file__build" : 0,
   "file_blib" : 0,
   "file_build" : 0,
   "file_changelog" : "Changes",
   "file_makefile" : 0,
   "file_makefile_pl" : "Makefile.PL",
   "file_manifest" : "MANIFEST",
   "file_meta_yml" : "META.yml",
   "file_pm_to_blib" : 0,
   "file_readme" : "README",
   "files_array" : [
      "README",
      "Changes",
      "Makefile.PL",
      "META.yml",
      "MANIFEST",
      "lib/CGI/Application/Plugin/RequireSSL.pm",
      "t/pod-coverage.t",
      "t/03-protected-module.t",
      "t/02-protected_rm.t",
      "t/01-standard_call.t",
      "t/pod.t",
      "t/lib/MyTestApp.pm",
      "t/lib/MyTestApp2.pm"
   ],
   "files_hash" : {
      "Changes" : {
         "mtime" : 1184203934,
         "size" : 333
      },
      "MANIFEST" : {
         "mtime" : 1180907479,
         "size" : 248
      },
      "META.yml" : {
         "mtime" : 1184204010,
         "size" : 464
      },
      "Makefile.PL" : {
         "mtime" : 1180907945,
         "size" : 656,
         "used" : [
            "ExtUtils::MakeMaker",
            "strict",
            "warnings"
         ]
      },
      "README" : {
         "mtime" : 1180519706,
         "size" : 1526
      },
      "lib/CGI/Application/Plugin/RequireSSL.pm" : {
         "license" : "Perl_5",
         "module" : "CGI::Application::Plugin::RequireSSL",
         "mtime" : 1184203887,
         "size" : 6981,
         "used" : [
            "Attribute::Handlers",
            "Carp",
            "Data::Dumper",
            "Exporter",
            "strict",
            "warnings"
         ]
      },
      "t/01-standard_call.t" : {
         "mtime" : 1180526256,
         "size" : 376,
         "used" : [
            "CGI",
            "FindBin",
            "MyTestApp",
            "Test::More",
            "lib",
            "strict",
            "warnings"
         ]
      },
      "t/02-protected_rm.t" : {
         "mtime" : 1184203741,
         "size" : 613,
         "used" : [
            "CGI",
            "FindBin",
            "MyTestApp",
            "Test::More",
            "lib",
            "strict",
            "warnings"
         ]
      },
      "t/03-protected-module.t" : {
         "mtime" : 1184203806,
         "size" : 983,
         "used" : [
            "CGI",
            "FindBin",
            "MyTestApp",
            "MyTestApp2",
            "Test::More",
            "lib",
            "strict",
            "warnings"
         ]
      },
      "t/lib/MyTestApp.pm" : {
         "mtime" : 1180525946,
         "size" : 288
      },
      "t/lib/MyTestApp2.pm" : {
         "mtime" : 1180527578,
         "size" : 396
      },
      "t/pod-coverage.t" : {
         "mtime" : 1180559126,
         "size" : 172,
         "used" : [
            "Test::More"
         ],
         "used_in_eval" : [
            "Test::Pod::Coverage"
         ]
      },
      "t/pod.t" : {
         "mtime" : 1180519706,
         "size" : 140,
         "used" : [
            "Test::More"
         ],
         "used_in_eval" : [
            "Test::Pod"
         ]
      }
   },
   "got_prereq_from" : "META.yml",
   "kwalitee" : {
      "buildtool_not_executable" : 1,
      "consistent_version" : 1,
      "distname_matches_name_in_meta" : 1,
      "easily_repackageable_by_debian" : 1,
      "easily_repackageable_by_fedora" : 0,
      "extractable" : 1,
      "extracts_nicely" : 1,
      "fits_fedora_license" : 0,
      "has_abstract_in_pod" : 1,
      "has_buildtool" : 1,
      "has_changelog" : 1,
      "has_human_readable_license" : 1,
      "has_known_license_in_source_file" : 1,
      "has_license_in_source_file" : 1,
      "has_manifest" : 1,
      "has_meta_yml" : 1,
      "has_proper_version" : 1,
      "has_readme" : 1,
      "has_separate_license_file" : 0,
      "has_tests" : 1,
      "has_tests_in_t_dir" : 1,
      "has_version" : 1,
      "kwalitee" : "95.45",
      "manifest_matches_dist" : 1,
      "meta_json_conforms_to_known_spec" : 1,
      "meta_json_is_parsable" : 1,
      "meta_yml_conforms_to_known_spec" : 1,
      "meta_yml_declares_perl_version" : 0,
      "meta_yml_has_license" : 0,
      "meta_yml_has_provides" : 0,
      "meta_yml_has_repository_resource" : 0,
      "meta_yml_is_parsable" : 1,
      "no_abstract_stub_in_pod" : 1,
      "no_broken_auto_install" : 1,
      "no_broken_module_install" : 1,
      "no_dot_dirs" : 1,
      "no_dot_underscore_files" : 1,
      "no_generated_files" : 1,
      "no_invalid_versions" : 1,
      "no_local_dirs" : 1,
      "no_mymeta_files" : 1,
      "no_pax_headers" : 1,
      "no_pod_errors" : 1,
      "no_stdin_for_prompting" : 1,
      "no_symlinks" : 1,
      "package_version_matches_dist_version" : 1,
      "portable_filenames" : 1,
      "proper_libs" : 1,
      "use_strict" : 1,
      "use_warnings" : 1,
      "valid_signature" : 1
   },
   "latest_mtime" : 1184204010,
   "license" : "defined in POD (lib/CGI/Application/Plugin/RequireSSL.pm)",
   "license_file" : "lib/CGI/Application/Plugin/RequireSSL.pm",
   "license_in_pod" : 1,
   "license_type" : "Perl_5",
   "licenses" : {
      "Perl_5" : [
         "lib/CGI/Application/Plugin/RequireSSL.pm"
      ]
   },
   "manifest_matches_dist" : 1,
   "meta_yml" : {
      "distribution_type" : "module",
      "generated_by" : "ExtUtils::MakeMaker version 6.17",
      "installdirs" : "site",
      "meta-spec" : {},
      "name" : "CGI-Application-Plugin-RequireSSL",
      "requires" : {
         "Attribute::Handlers" : "0",
         "CGI::Application" : "4.01",
         "Test::More" : "0"
      },
      "version" : "0.04",
      "version_from" : "lib/CGI/Application/Plugin/RequireSSL.pm"
   },
   "meta_yml_is_parsable" : 1,
   "meta_yml_spec_version" : "1.0",
   "modules" : [
      {
         "file" : "lib/CGI/Application/Plugin/RequireSSL.pm",
         "in_basedir" : 0,
         "in_lib" : 1,
         "module" : "CGI::Application::Plugin::RequireSSL"
      }
   ],
   "no_pax_headers" : 1,
   "package" : "CGI-Application-Plugin-RequireSSL-0.04.tar.gz",
   "prereq" : [
      {
         "is_prereq" : 1,
         "requires" : "Attribute::Handlers",
         "type" : "runtime_requires",
         "version" : "0"
      },
      {
         "is_prereq" : 1,
         "requires" : "Test::More",
         "type" : "runtime_requires",
         "version" : "0"
      },
      {
         "is_prereq" : 1,
         "requires" : "CGI::Application",
         "type" : "runtime_requires",
         "version" : "4.01"
      }
   ],
   "released_epoch" : 1184204322,
   "size_packed" : 4978,
   "size_unpacked" : 13176,
   "uses" : {
      "used_in_code" : {
         "Attribute::Handlers" : 1,
         "Carp" : 1,
         "Data::Dumper" : 1,
         "Exporter" : 1,
         "strict" : 1,
         "warnings" : 1
      },
      "used_in_config" : {
         "ExtUtils::MakeMaker" : 1,
         "strict" : 1,
         "warnings" : 1
      },
      "used_in_eval_in_tests" : {
         "Test::Pod" : 1,
         "Test::Pod::Coverage" : 1
      },
      "used_in_tests" : {
         "CGI" : 3,
         "FindBin" : 3,
         "Test::More" : 5,
         "lib" : 3,
         "strict" : 3,
         "warnings" : 3
      }
   },
   "valid_signature" : -1,
   "version" : "0.04",
   "versions" : {
      "lib/CGI/Application/Plugin/RequireSSL.pm" : {
         "CGI::Application::Plugin::RequireSSL" : "0.04"
      }
   },
   "vname" : "CGI-Application-Plugin-RequireSSL-0.04"
}